/*
	New Perspectives on HTML and CSS
	Tutorial 5
	Tutorial Case

	General Style Sheet
	Author: Jonathan Echeverria
	Date:   04/11/2017

	Filename:         kpaf.css
	Supporting Files: 

*/


/* Default styles */

* {
	margin: 0px;
	list-style: none;
}

header, section, footer, nav {
	display: block;
}



/* Body styles */
body {
	background-color: white;
	font-family: Verdana, Geneva, sans-serif;
	margin: 0px auto;
	width: 1000px;
}

/* Header styles */
header {
	background-color: rgb(215, 205, 151);
	border-bottom: 1px solid rgb(105, 177, 60);
	color: white;
}

header h1 {
	color: white; 
	background-color: rgb(105, 177, 60);
	font-size: 1.1em; 
	padding: 5px 0px 5px 12px;
}

header h1 em {
	font-size: 0.7em;
}



/* Navigation list styles */

header nav ul li {
	display: inline; 
	font-size: 0.7em; 
	font-family: 'Courier New', monospace;
	background-color: rgb(215, 205, 151);
	padding: 0px 10px; 
	margin: 0px;
}

header nav ul li a {
	text-decoration: none; 
	color: rgb(105, 177, 60);
}


header nav ul li a:hover {
	color: rgb(153, 0, 153);
}



/* Main section styles */

#main {
	float: left;
	width: 730px;   
}

#main hgroup h2 {
	color: white;  
	background-color: rgb(153, 0, 153);
	font-size: 1.1em; 
	letter-spacing: 5px;
	padding: 5px 0px 5px 12px;
}

#main p {
	line-height: 1.4em;
	margin: 15px;
}



/* Aside styles */
aside {
	border: 1px solid rgb(153, 0, 153);
	-moz-border-radius: 20px;
	-webkit-border-radius: 20px;
	border-radius: 20px;

	float: left;
	margin: 10px 0px 10px 15px;

	width: 250px;
}

aside#current {
	background-color: rgb(218, 210, 218);
}

aside#current p {
	border-left: 4px solid rgb(153,0,153);
	font-size: 0.9em;
}

aside h1 {
	background-color: rgb(153,0,153);
	-moz-border-radius: 10px;
	-webkit-border-radius: 10px;
	border-radius: 10px;

	color: white; 
	font-size: 0.9em; 
	text-align: center;
	margin: 10px;
}

aside h2 {
	color: black; 
	text-align: left; 
	font-size: 0.9em; 
	line-height: 0.95;
	margin: 15px;
}

aside p {
	border-left: 4px solid rgb(255,202,255);
	font-size: 0.7em; 
	padding: 0px 0px 0px 5px; 
	margin: 10px 25px;
}

aside p:last-of-type {
	margin-bottom: 15px;
}




/* Footer styles */   

footer {
	clear: left;
	padding-top: 10px;
}

footer address {
	font-size: 0.65em;
	font-style: normal;
	text-align: center;
	color: white;
	background-color: rgb(105, 177, 60);
	margin: 20px 0px;
}
